View Issue Details

IDProjectCategoryView StatusLast Update
14598Bug reports[All Projects] Ergonomypublic2019-05-29 16:39
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version3.17.x 
Summary14598: Bad order shown in List question
Description

In list question : by default : question are shown by order of question, but must be group_order asc,question_order asc

Steps To Reproduce

Look at List questions

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.16.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-03-05 09:30

developer   ~50766

I think we need too group_order in the array

DenisChenu

DenisChenu

2019-03-05 09:52

developer   ~50767

https://github.com/LimeSurvey/LimeSurvey/pull/1236
or
https://github.com/LimeSurvey/LimeSurvey/pull/1237

I think i prefer 2nd solution : question_order must be really group_order,question_order

cdorin

cdorin

2019-03-06 13:42

manager   ~50793

I also like much more your second proposal.

DenisChenu

DenisChenu

2019-03-06 16:23

developer   ~50807

Last edited: 2019-03-06 16:25

View 2 revisions

Wait for a third advice ;) Thanks @cdorin

(and i think i rename https://github.com/LimeSurvey/LimeSurvey/pull/1237/files#diff-57d8ed613df5c805f7b2c706aca6ca52L982 to question_group_order to be more clear for next developer.

dominikvitt

dominikvitt

2019-05-02 13:47

developer   ~51723

@DenisChenu:
Please change sort column header to "Group/Question order" in https://github.com/LimeSurvey/LimeSurvey/pull/1237.
That way users would have better insight what numbers mean.
Then I would merge it.

DenisChenu

DenisChenu

2019-05-02 14:27

developer   ~51724

https://github.com/LimeSurvey/LimeSurvey/commit/3337b5ae3efee04a5153485c610aeea997985698

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52198

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28938

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52206

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 3337b5ae

2019-05-02 14:26:23

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14598: Bad order shown in List question (#1237)

Dev: question order get group_order
Dev: add “Group / “ before Question order
Affected Issues
14598
mod - application/models/Question.php Diff File
mod - application/views/admin/survey/Question/listquestions.php Diff File

Issue History

Date Modified Username Field Change
2019-03-05 09:28 DenisChenu New Issue
2019-03-05 09:30 DenisChenu Note Added: 50766
2019-03-05 09:52 DenisChenu Note Added: 50767
2019-03-06 13:42 cdorin Note Added: 50793
2019-03-06 16:23 DenisChenu Note Added: 50807
2019-03-06 16:25 DenisChenu Note Edited: 50807 View Revisions
2019-05-02 13:47 dominikvitt Note Added: 51723
2019-05-02 13:48 dominikvitt Assigned To => dominikvitt
2019-05-02 13:48 dominikvitt Status new => assigned
2019-05-02 14:05 DenisChenu Assigned To dominikvitt => DenisChenu
2019-05-02 14:27 DenisChenu Status assigned => resolved
2019-05-02 14:27 DenisChenu Resolution open => fixed
2019-05-02 14:27 DenisChenu Fixed in Version => 3.17.x
2019-05-02 14:27 DenisChenu Note Added: 51724
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master 3337b5ae
2019-05-29 16:12 DenisChenu Note Added: 52198
2019-05-29 16:39 c_schmitz Note Added: 52206
2019-05-29 16:39 c_schmitz Status resolved => closed